> ## Documentation Index
> Fetch the complete documentation index at: https://artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Managed Kafka cluster

> Deletes an active or failed Managed Kafka cluster, with its data. It leaves the list at once and is removed from AWS in the background. Returns 409 while the cluster is deploying. Company admins only.



## OpenAPI

````yaml https://raw.githubusercontent.com/artie-labs/artie-api-spec/refs/heads/master/openapi.yaml delete /kafka-clusters/{uuid}
openapi: 3.1.0
info:
  description: External API endpoints for Artie
  title: Artie API
  version: v1.0.200
servers:
  - url: https://api.artie.com
security:
  - ApiKey: []
paths:
  /kafka-clusters/{uuid}:
    delete:
      tags:
        - Kafka clusters
      summary: Delete a Managed Kafka cluster
      description: >-
        Deletes an active or failed Managed Kafka cluster, with its data. It
        leaves the list at once and is removed from AWS in the background.
        Returns 409 while the cluster is deploying. Company admins only.
      operationId: kafka_cluster_delete
      parameters:
        - in: path
          name: uuid
          required: true
          schema:
            type: string
      responses:
        '204':
          description: No Content
        '400':
          description: Bad Request
        '404':
          description: Not Found
        '409':
          description: Conflict
        '500':
          description: Internal Server Error
components:
  securitySchemes:
    ApiKey:
      description: API key passed as a Bearer token in the Authorization header.
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.